
Core - Bug # 20274

Story # 63815 (New): Reduce communication between server and client

Status: New Priority: Should have
Author: Yannick Pavard Category:
Created: 2009-04-03 Assigned To:
Updated: 2015-07-08 Due date:
TYPO3 Version: 4.2
PHP Version: 4.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: SYS_LASTCHANGED should not change when only page permissions are changed (but it does)
Description

There is a problem with the behavior of TYPO3 and the "access module". When admin user changes permissions for a backend
group, SYS_LASTCHANGED is changed too.

So, when I use TypoScript to show last updated in frontend page, the date is updated but no content has changed.

My TS code :

lib.objPiedPage.5.30 = TEXT 
lib.objPiedPage.5.30.data = page:lastUpdated 
lib.objPiedPage.5.30.if.isTrue.Data = page:lastUpdated
lib.objPiedPage.5.30.strftime = %e %B %Y 
lib.objPiedPage.5.30.wrap= <p> Last update:  |</p>
lib.objPiedPage.5.30.data = register : SYS_LASTCHANGED
lib.objPiedPage.5.30.if >
(issue imported from #M10841)

History
#1 - 2011-04-18 18:19 - Thomas Trethan
- Target version deleted (0)

generally it would be great to be able to define what action causes an update of SYS_LASTCHANGED. For example if a new comment is posted (via
frontend) I'd prefere to remain SYS_LASTCHANGED unchanged, since the article itself did not change.

#2 - 2012-04-17 12:23 - Ingo Pfennigstorf

Also related #34219 where SYS_LASTCHANGE is updated whe changing records in the workspace

#3 - 2014-12-12 15:17 - Michiel Roos

Thomas,

No, it should change. The value is used to generate the 'Last Modified' header. If you do not change that when the content changes . . . A user with a
cached version (in the browser) will check with the server when that page expires. The server will then however tell the user that the page has 'not'
changed. The user will then NEVER see the new comment, perpetually serving up the content from his own cache.

#4 - 2014-12-12 15:37 - Alexander Opitz
- Description updated
- Parent task set to #63815
- Is Regression set to No

#5 - 2015-07-08 10:17 - Riccardo De Contardi

I used the typoscript included to test on both 6.2.14 and 7 (latest master):

page.40 = TEXT 
page.40.data = page:lastUpdated 
page.40.if.isTrue.Data = page:lastUpdated
page.40.strftime = %e %B %Y %H:%M:%S
page.40.wrap= <p> Last update:  |</p>
page.40.data = register : SYS_LASTCHANGED
page.40.if >

then I changed the permissions of one page (changed the group, or the owner, or the permissions)
my results:

TYPO3 6.2.14 > bug still present
TYPO3 7 (latest master) > bug NOT present
